aboutsummaryrefslogtreecommitdiffhomepage
path: root/third_party/protobuf/3.2.0/protoc-artifacts
diff options
context:
space:
mode:
authorGravatar Irina Iancu <elenairina@google.com>2017-02-24 13:04:14 +0100
committerGravatar Irina Iancu <elenairina@google.com>2017-02-24 15:48:27 +0100
commite50388e66e1378b8c6a93bbc331e27771bd3aedc (patch)
tree074d518c6e652f6138a10ddf05286093dda3f563 /third_party/protobuf/3.2.0/protoc-artifacts
parente716ae46f359dc1361574f44569811ff80a758ac (diff)
Revert "Upgrade //third_party/protobuf to v3.2.0"
This reverts commit 2346f5a01561f695a2b2ba7655359d5020105077. It breaks bazel build in freebsd[1]. The solution is to patch https://svnweb.freebsd.org/ports/head/devel/protobuf/files/. I rolled-back this since the other builds will not automatically start if Bazel is broken. [1] http://ci.bazel.io/view/Bazel%20bootstrap%20and%20maintenance/job/Bazel/JAVA_VERSION=1.8,PLATFORM_NAME=freebsd-11/1312/ Change-Id: I7e939a4293d799ab6dd67f93d219d1efdf4cd901
Diffstat (limited to 'third_party/protobuf/3.2.0/protoc-artifacts')
-rw-r--r--third_party/protobuf/3.2.0/protoc-artifacts/Dockerfile40
-rw-r--r--third_party/protobuf/3.2.0/protoc-artifacts/README.md177
-rwxr-xr-xthird_party/protobuf/3.2.0/protoc-artifacts/build-protoc.sh236
-rwxr-xr-xthird_party/protobuf/3.2.0/protoc-artifacts/build-zip.sh108
-rw-r--r--third_party/protobuf/3.2.0/protoc-artifacts/pom.xml135
5 files changed, 0 insertions, 696 deletions
diff --git a/third_party/protobuf/3.2.0/protoc-artifacts/Dockerfile b/third_party/protobuf/3.2.0/protoc-artifacts/Dockerfile
deleted file mode 100644
index 5143b0281d..0000000000
--- a/third_party/protobuf/3.2.0/protoc-artifacts/Dockerfile
+++ /dev/null
@@ -1,40 +0,0 @@
-FROM centos:6.6
-
-RUN yum install -y git \
- tar \
- wget \
- make \
- autoconf \
- curl-devel \
- unzip \
- automake \
- libtool \
- glibc-static.i686 \
- glibc-devel \
- glibc-devel.i686
-
-# Install Java 8
-RUN wget -q --no-cookies --no-check-certificate \
- --header "Cookie: gpw_e24=http%3A%2F%2Fwww.oracle.com%2F; oraclelicense=accept-securebackup-cookie" "http://download.oracle.com/otn-pub/java/jdk/8u45-b14/jdk-8u45-linux-x64.tar.gz" \
- -O - | tar xz -C /var/local
-ENV JAVA_HOME /var/local/jdk1.8.0_45
-ENV PATH $JAVA_HOME/bin:$PATH
-
-# Install Maven
-RUN wget -q http://apache.cs.utah.edu/maven/maven-3/3.3.9/binaries/apache-maven-3.3.9-bin.tar.gz -O - | \
- tar xz -C /var/local
-ENV PATH /var/local/apache-maven-3.3.9/bin:$PATH
-
-# Install GCC 4.7 to support -static-libstdc++
-RUN wget http://people.centos.org/tru/devtools-1.1/devtools-1.1.repo -P /etc/yum.repos.d
-RUN bash -c 'echo "enabled=1" >> /etc/yum.repos.d/devtools-1.1.repo'
-RUN bash -c "sed -e 's/\$basearch/i386/g' /etc/yum.repos.d/devtools-1.1.repo > /etc/yum.repos.d/devtools-i386-1.1.repo"
-RUN sed -e 's/testing-/testing-i386-/g' -i /etc/yum.repos.d/devtools-i386-1.1.repo
-RUN yum install -y devtoolset-1.1 \
- devtoolset-1.1-libstdc++-devel \
- devtoolset-1.1-libstdc++-devel.i686
-
-RUN git clone --depth 1 https://github.com/google/protobuf.git
-
-# Start in devtoolset environment that uses GCC 4.7
-CMD ["scl", "enable", "devtoolset-1.1", "bash"]
diff --git a/third_party/protobuf/3.2.0/protoc-artifacts/README.md b/third_party/protobuf/3.2.0/protoc-artifacts/README.md
deleted file mode 100644
index 5062920932..0000000000
--- a/third_party/protobuf/3.2.0/protoc-artifacts/README.md
+++ /dev/null
@@ -1,177 +0,0 @@
-# Build scripts that publish pre-compiled protoc artifacts
-``protoc`` is the compiler for ``.proto`` files. It generates language bindings
-for the messages and/or RPC services from ``.proto`` files.
-
-Because ``protoc`` is a native executable, the scripts under this directory
-build and publish a ``protoc`` executable (a.k.a. artifact) to Maven
-repositories. The artifact can be used by build automation tools so that users
-would not need to compile and install ``protoc`` for their systems.
-
-## Versioning
-The version of the ``protoc`` artifact must be the same as the version of the
-Protobuf project.
-
-## Artifact name
-The name of a published ``protoc`` artifact is in the following format:
-``protoc-<version>-<os>-<arch>.exe``, e.g., ``protoc-3.0.0-alpha-3-windows-x86_64.exe``.
-
-## System requirement
-Install [Apache Maven](http://maven.apache.org/) if you don't have it.
-
-The scripts only work under Unix-like environments, e.g., Linux, MacOSX, and
-Cygwin or MinGW for Windows. Please see ``README.md`` of the Protobuf project
-for how to set up the build environment.
-
-## Building from a freshly checked-out source
-
-If you just checked out the Protobuf source from github, you need to
-generate the configure script.
-
-Under the protobuf project directory:
-
-```
-$ ./autogen.sh && ./configure && make
-```
-
-## To install artifacts locally
-The following command will install the ``protoc`` artifact to your local Maven repository.
-```
-$ mvn install
-```
-
-## Cross-compilation
-The Maven script will try to detect the OS and the architecture from Java
-system properties. It's possible to build a protoc binary for an architecture
-that is different from what Java has detected, as long as you have the proper
-compilers installed.
-
-You can override the Maven properties ``os.detected.name`` and
-``os.detected.arch`` to force the script to generate binaries for a specific OS
-and/or architecture. Valid values are defined as the return values of
-``normalizeOs()`` and ``normalizeArch()`` of ``Detector`` from
-[os-maven-plugin](https://github.com/trustin/os-maven-plugin/blob/master/src/main/java/kr/motd/maven/os/Detector.java).
-Frequently used values are:
-- ``os.detected.name``: ``linux``, ``osx``, ``windows``.
-- ``os.detected.arch``: ``x86_32``, ``x86_64``
-
-For example, MinGW32 only ships with 32-bit compilers, but you can still build
-32-bit protoc under 64-bit Windows, with the following command:
-```
-$ mvn install -Dos.detected.arch=x86_32
-```
-
-## To push artifacts to Maven Central
-Before you can upload artifacts to Maven Central repository, make sure you have
-read [this page](http://central.sonatype.org/pages/apache-maven.html) on how to
-configure GPG and Sonatype account.
-
-You need to perform the deployment for every platform that you want to
-support. DO NOT close the staging repository until you have done the
-deployment for all platforms. Currently the following platforms are supported:
-- Linux (x86_32 and x86_64)
-- Windows (x86_32 and x86_64) with
- - Cygwin64 with MinGW compilers (x86_64)
- - MSYS with MinGW32 (x86_32)
-- MacOSX (x86_32 and x86_64)
-
-As for MSYS2/MinGW64 for Windows: protoc will build, but it insists on
-adding a dependency of `libwinpthread-1.dll`, which isn't shipped with
-Windows.
-
-Use the following command to deploy artifacts for the host platform to a
-staging repository.
-```
-$ mvn clean deploy -P release
-```
-It creates a new staging repository. Go to
-https://oss.sonatype.org/#stagingRepositories and find the repository, usually
-in the name like ``comgoogle-123``.
-
-You will want to run this command on a different platform. Remember, in
-subsequent deployments you will need to provide the repository name that you
-have found in the first deployment so that all artifacts go to the same
-repository:
-```
-$ mvn clean deploy -P release -Dstaging.repository=comgoogle-123
-```
-
-A 32-bit artifact can be deployed from a 64-bit host with
-``-Dos.detected.arch=x86_32``
-
-When you have done deployment for all platforms, go to
-https://oss.sonatype.org/#stagingRepositories, verify that the staging
-repository has all the binaries, close and release this repository.
-
-## Upload zip packages to github release page.
-After uploading protoc artifacts to Maven Central repository, run the
-build-zip.sh script to bulid zip packages for these protoc binaries
-and upload these zip packages to the download section of the github
-release. For example:
-```
-$ ./build-zip.sh 3.0.0-beta-4
-```
-The above command will create 5 zip files:
-```
-dist/protoc-3.0.0-beta-4-win32.zip
-dist/protoc-3.0.0-beta-4-osx-x86_32.zip
-dist/protoc-3.0.0-beta-4-osx-x86_64.zip
-dist/protoc-3.0.0-beta-4-linux-x86_32.zip
-dist/protoc-3.0.0-beta-4-linux-x86_64.zip
-```
-Before running the script, make sure the artifacts are accessible from:
-http://repo1.maven.org/maven2/com/google/protobuf/protoc/
-
-### Tips for deploying on Linux
-We build on Centos 6.6 to provide a good compatibility for not very new
-systems. We have provided a ``Dockerfile`` under this directory to build the
-environment. It has been tested with Docker 1.6.1.
-
-To build a image:
-```
-$ docker build -t protoc-artifacts .
-```
-
-To run the image:
-```
-$ docker run -it --rm=true protoc-artifacts
-```
-
-The Protobuf repository has been cloned into ``/protobuf``.
-
-### Tips for deploying on Windows
-Under Windows the following error may occur: ``gpg: cannot open tty `no tty':
-No such file or directory``. This can be fixed by configuring gpg through an
-active profile in ``.m2\settings.xml`` where also the Sonatype password is
-stored:
-```xml
-<settings>
- <servers>
- <server>
- <id>sonatype-nexus-staging</id>
- <username>[username]</username>
- <password>[password]</password>
- </server>
- </servers>
- <profiles>
- <profile>
- <id>gpg</id>
- <properties>
- <gpg.executable>gpg</gpg.executable>
- <gpg.passphrase>[password]</gpg.passphrase>
- </properties>
- </profile>
- </profiles>
- <activeProfiles>
- <activeProfile>gpg</activeProfile>
- </activeProfiles>
-</settings>
-```
-
-### Tested build environments
-We have successfully built artifacts on the following environments:
-- Linux x86_32 and x86_64:
- - Centos 6.6 (within Docker 1.6.1)
- - Ubuntu 14.04.2 64-bit
-- Windows x86_32: MSYS with ``mingw32-gcc-g++ 4.8.1-4`` on Windows 7 64-bit
-- Windows x86_64: Cygwin64 with ``mingw64-x86_64-gcc-g++ 4.8.3-1`` on Windows 7 64-bit
-- Mac OS X x86_32 and x86_64: Mac OS X 10.9.5
diff --git a/third_party/protobuf/3.2.0/protoc-artifacts/build-protoc.sh b/third_party/protobuf/3.2.0/protoc-artifacts/build-protoc.sh
deleted file mode 100755
index e31948e987..0000000000
--- a/third_party/protobuf/3.2.0/protoc-artifacts/build-protoc.sh
+++ /dev/null
@@ -1,236 +0,0 @@
-#!/bin/bash
-
-# Builds protoc executable into target/protoc.exe; optionally build protoc
-# plugins into target/protoc-gen-*.exe
-# To be run from Maven.
-# Usage: build-protoc.sh <OS> <ARCH> <TARGET>
-# <OS> and <ARCH> are ${os.detected.name} and ${os.detected.arch} from os-maven-plugin
-# <TARGET> can be "protoc" or "protoc-gen-javalite"
-OS=$1
-ARCH=$2
-MAKE_TARGET=$3
-
-if [[ $# < 3 ]]; then
- echo "No arguments provided. This script is intended to be run from Maven."
- exit 1
-fi
-
-case $MAKE_TARGET in
- protoc-gen-javalite)
- ;;
- protoc)
- ;;
- *)
- echo "Target ""$TARGET"" invalid."
- exit 1
-esac
-
-# Under Cygwin, bash doesn't have these in PATH when called from Maven which
-# runs in Windows version of Java.
-export PATH="/bin:/usr/bin:$PATH"
-
-############################################################################
-# Helper functions
-############################################################################
-E_PARAM_ERR=98
-E_ASSERT_FAILED=99
-
-# Usage:
-fail()
-{
- echo "ERROR: $1"
- echo
- exit $E_ASSERT_FAILED
-}
-
-# Usage: assertEq VAL1 VAL2 $LINENO
-assertEq ()
-{
- lineno=$3
- if [ -z "$lineno" ]; then
- echo "lineno not given"
- exit $E_PARAM_ERR
- fi
-
- if [[ "$1" != "$2" ]]; then
- echo "Assertion failed: \"$1\" == \"$2\""
- echo "File \"$0\", line $lineno" # Give name of file and line number.
- exit $E_ASSERT_FAILED
- fi
-}
-
-# Checks the artifact is for the expected architecture
-# Usage: checkArch <path-to-protoc>
-checkArch ()
-{
- echo
- echo "Checking file format ..."
- if [[ "$OS" == windows || "$OS" == linux ]]; then
- format="$(objdump -f "$1" | grep -o "file format .*$" | grep -o "[^ ]*$")"
- echo Format=$format
- if [[ "$OS" == linux ]]; then
- if [[ "$ARCH" == x86_32 ]]; then
- assertEq $format "elf32-i386" $LINENO
- elif [[ "$ARCH" == x86_64 ]]; then
- assertEq $format "elf64-x86-64" $LINENO
- else
- fail "Unsupported arch: $ARCH"
- fi
- else
- # $OS == windows
- if [[ "$ARCH" == x86_32 ]]; then
- assertEq $format "pei-i386" $LINENO
- elif [[ "$ARCH" == x86_64 ]]; then
- assertEq $format "pei-x86-64" $LINENO
- else
- fail "Unsupported arch: $ARCH"
- fi
- fi
- elif [[ "$OS" == osx ]]; then
- format="$(file -b "$1" | grep -o "[^ ]*$")"
- echo Format=$format
- if [[ "$ARCH" == x86_32 ]]; then
- assertEq $format "i386" $LINENO
- elif [[ "$ARCH" == x86_64 ]]; then
- assertEq $format "x86_64" $LINENO
- else
- fail "Unsupported arch: $ARCH"
- fi
- else
- fail "Unsupported system: $OS"
- fi
- echo
-}
-
-# Checks the dependencies of the artifact. Artifacts should only depend on
-# system libraries.
-# Usage: checkDependencies <path-to-protoc>
-checkDependencies ()
-{
- if [[ "$OS" == windows ]]; then
- dump_cmd='objdump -x '"$1"' | fgrep "DLL Name"'
- white_list="KERNEL32\.dll\|msvcrt\.dll"
- elif [[ "$OS" == linux ]]; then
- dump_cmd='ldd '"$1"
- if [[ "$ARCH" == x86_32 ]]; then
- white_list="linux-gate\.so\.1\|libpthread\.so\.0\|libm\.so\.6\|libc\.so\.6\|ld-linux\.so\.2"
- elif [[ "$ARCH" == x86_64 ]]; then
- white_list="linux-vdso\.so\.1\|libpthread\.so\.0\|libm\.so\.6\|libc\.so\.6\|ld-linux-x86-64\.so\.2"
- fi
- elif [[ "$OS" == osx ]]; then
- dump_cmd='otool -L '"$1"' | fgrep dylib'
- white_list="libz\.1\.dylib\|libstdc++\.6\.dylib\|libSystem\.B\.dylib"
- fi
- if [[ -z "$white_list" || -z "$dump_cmd" ]]; then
- fail "Unsupported platform $OS-$ARCH."
- fi
- echo "Checking for expected dependencies ..."
- eval $dump_cmd | grep -i "$white_list" || fail "doesn't show any expected dependencies"
- echo "Checking for unexpected dependencies ..."
- eval $dump_cmd | grep -i -v "$white_list"
- ret=$?
- if [[ $ret == 0 ]]; then
- fail "found unexpected dependencies (listed above)."
- elif [[ $ret != 1 ]]; then
- fail "Error when checking dependencies."
- fi # grep returns 1 when "not found", which is what we expect
- echo "Dependencies look good."
- echo
-}
-############################################################################
-
-echo "Building protoc, OS=$OS ARCH=$ARCH TARGET=$TARGET"
-
-# Nested double quotes are unintuitive, but it works.
-cd "$(dirname "$0")"
-
-WORKING_DIR=$(pwd)
-CONFIGURE_ARGS="--disable-shared"
-
-TARGET_FILE=target/$MAKE_TARGET.exe
-if [[ "$OS" == windows ]]; then
- MAKE_TARGET="${MAKE_TARGET}.exe"
-fi
-
-# Override the default value set in configure.ac that has '-g' which produces
-# huge binary.
-CXXFLAGS="-DNDEBUG"
-LDFLAGS=""
-
-if [[ "$(uname)" == CYGWIN* ]]; then
- assertEq "$OS" windows $LINENO
- # Use mingw32 compilers because executables produced by Cygwin compiler
- # always have dependency on Cygwin DLL.
- if [[ "$ARCH" == x86_64 ]]; then
- CONFIGURE_ARGS="$CONFIGURE_ARGS --host=x86_64-w64-mingw32"
- elif [[ "$ARCH" == x86_32 ]]; then
- CONFIGURE_ARGS="$CONFIGURE_ARGS --host=i686-pc-mingw32"
- else
- fail "Unsupported arch by CYGWIN: $ARCH"
- fi
-elif [[ "$(uname)" == MINGW32* ]]; then
- assertEq "$OS" windows $LINENO
- assertEq "$ARCH" x86_32 $LINENO
-elif [[ "$(uname)" == MINGW64* ]]; then
- assertEq "$OS" windows $LINENO
- assertEq "$ARCH" x86_64 $LINENO
-elif [[ "$(uname)" == Linux* ]]; then
- if [[ "$OS" == linux ]]; then
- if [[ "$ARCH" == x86_64 ]]; then
- CXXFLAGS="$CXXFLAGS -m64"
- elif [[ "$ARCH" == x86_32 ]]; then
- CXXFLAGS="$CXXFLAGS -m32"
- else
- fail "Unsupported arch: $ARCH"
- fi
- elif [[ "$OS" == windows ]]; then
- # Cross-compilation for Windows
- # TODO(zhangkun83) MinGW 64 always adds dependency on libwinpthread-1.dll,
- # which is undesirable for repository deployment.
- CONFIGURE_ARGS="$CONFIGURE_ARGS"
- if [[ "$ARCH" == x86_64 ]]; then
- CONFIGURE_ARGS="$CONFIGURE_ARGS --host=x86_64-w64-mingw32"
- elif [[ "$ARCH" == x86_32 ]]; then
- CONFIGURE_ARGS="$CONFIGURE_ARGS --host=i686-w64-mingw32"
- else
- fail "Unsupported arch: $ARCH"
- fi
- else
- fail "Cannot build $OS on $(uname)"
- fi
-elif [[ "$(uname)" == Darwin* ]]; then
- assertEq "$OS" osx $LINENO
- # Make the binary compatible with OSX 10.7 and later
- CXXFLAGS="$CXXFLAGS -mmacosx-version-min=10.7"
- if [[ "$ARCH" == x86_64 ]]; then
- CXXFLAGS="$CXXFLAGS -m64"
- elif [[ "$ARCH" == x86_32 ]]; then
- CXXFLAGS="$CXXFLAGS -m32"
- else
- fail "Unsupported arch: $ARCH"
- fi
-else
- fail "Unsupported system: $(uname)"
-fi
-
-# Statically link libgcc and libstdc++.
-# -s to produce stripped binary.
-# And they don't work under Mac.
-if [[ "$OS" != osx ]]; then
- LDFLAGS="$LDFLAGS -static-libgcc -static-libstdc++ -s"
-fi
-
-export CXXFLAGS LDFLAGS
-
-cd "$WORKING_DIR"/.. && ./configure $CONFIGURE_ARGS &&
- cd src && make clean && make $MAKE_TARGET &&
- cd "$WORKING_DIR" && mkdir -p target &&
- cp ../src/$MAKE_TARGET $TARGET_FILE ||
- exit 1
-
-if [[ "$OS" == osx ]]; then
- # Since Mac linker doesn't accept "-s", we need to run strip
- strip $TARGET_FILE || exit 1
-fi
-
-checkArch $TARGET_FILE && checkDependencies $TARGET_FILE
diff --git a/third_party/protobuf/3.2.0/protoc-artifacts/build-zip.sh b/third_party/protobuf/3.2.0/protoc-artifacts/build-zip.sh
deleted file mode 100755
index 3c5e887b29..0000000000
--- a/third_party/protobuf/3.2.0/protoc-artifacts/build-zip.sh
+++ /dev/null
@@ -1,108 +0,0 @@
-#!/bin/bash
-
-if [ $# -ne 2 ]; then
- cat <<EOF
-Usage: $0 <TARGET> <VERSION_NUMBER>
-
-TARGET: protoc | protoc-gen-javalite
-
-Example:
- $ $0 protoc 3.0.0
- $ $0 protoc-gen-javalite 3.0.0
-
-This script will download pre-built protoc or protoc plugin binaries from maven
-repository and create .zip packages suitable to be included in the github
-release page. If the target is protoc, well-known type .proto files will also be
-included. Each invocation will create 5 zip packages:
- dist/<TARGET>-<VERSION_NUMBER>-win32.zip
- dist/<TARGET>-<VERSION_NUMBER>-osx-x86_32.zip
- dist/<TARGET>-<VERSION_NUMBER>-osx-x86_64.zip
- dist/<TARGET>-<VERSION_NUMBER>-linux-x86_32.zip
- dist/<TARGET>-<VERSION_NUMBER>-linux-x86_64.zip
-EOF
- exit 1
-fi
-
-TARGET=$1
-VERSION_NUMBER=$2
-
-# <zip file name> <binary file name> pairs.
-declare -a FILE_NAMES=( \
- win32.zip windows-x86_32.exe \
- osx-x86_32.zip osx-x86_32.exe \
- osx-x86_64.zip osx-x86_64.exe \
- linux-x86_32.zip linux-x86_32.exe \
- linux-x86_64.zip linux-x86_64.exe \
-)
-
-# List of all well-known types to be included.
-declare -a WELL_KNOWN_TYPES=( \
- google/protobuf/descriptor.proto \
- google/protobuf/any.proto \
- google/protobuf/api.proto \
- google/protobuf/duration.proto \
- google/protobuf/empty.proto \
- google/protobuf/field_mask.proto \
- google/protobuf/source_context.proto \
- google/protobuf/struct.proto \
- google/protobuf/timestamp.proto \
- google/protobuf/type.proto \
- google/protobuf/wrappers.proto \
- google/protobuf/compiler/plugin.proto \
-)
-
-set -e
-
-# A temporary working directory to put all files.
-DIR=$(mktemp -d)
-
-# Copy over well-known types.
-mkdir -p ${DIR}/include/google/protobuf/compiler
-for PROTO in ${WELL_KNOWN_TYPES[@]}; do
- cp -f ../src/${PROTO} ${DIR}/include/${PROTO}
-done
-
-# Create a readme file.
-cat <<EOF > ${DIR}/readme.txt
-Protocol Buffers - Google's data interchange format
-Copyright 2008 Google Inc.
-https://developers.google.com/protocol-buffers/
-
-This package contains a precompiled binary version of the protocol buffer
-compiler (protoc). This binary is intended for users who want to use Protocol
-Buffers in languages other than C++ but do not want to compile protoc
-themselves. To install, simply place this binary somewhere in your PATH.
-
-Please refer to our official github site for more installation instructions:
- https://github.com/google/protobuf
-EOF
-
-mkdir -p dist
-mkdir -p ${DIR}/bin
-# Create a zip file for each binary.
-for((i=0;i<${#FILE_NAMES[@]};i+=2));do
- ZIP_NAME=${FILE_NAMES[$i]}
- if [ ${ZIP_NAME:0:3} = "win" ]; then
- BINARY="$TARGET.exe"
- else
- BINARY="$TARGET"
- fi
- BINARY_NAME=${FILE_NAMES[$(($i+1))]}
- BINARY_URL=http://repo1.maven.org/maven2/com/google/protobuf/$TARGET/${VERSION_NUMBER}/$TARGET-${VERSION_NUMBER}-${BINARY_NAME}
- if ! wget ${BINARY_URL} -O ${DIR}/bin/$BINARY &> /dev/null; then
- echo "[ERROR] Failed to download ${BINARY_URL}" >&2
- echo "[ERROR] Skipped $TARGET-${VERSION_NAME}-${ZIP_NAME}" >&2
- continue
- fi
- TARGET_ZIP_FILE=`pwd`/dist/$TARGET-${VERSION_NUMBER}-${ZIP_NAME}
- pushd $DIR &> /dev/null
- chmod +x bin/$BINARY
- if [ "$TARGET" = "protoc" ]; then
- zip -r ${TARGET_ZIP_FILE} include bin readme.txt &> /dev/null
- else
- zip -r ${TARGET_ZIP_FILE} bin &> /dev/null
- fi
- rm bin/$BINARY
- popd &> /dev/null
- echo "[INFO] Successfully created ${TARGET_ZIP_FILE}"
-done
diff --git a/third_party/protobuf/3.2.0/protoc-artifacts/pom.xml b/third_party/protobuf/3.2.0/protoc-artifacts/pom.xml
deleted file mode 100644
index 19c6862970..0000000000
--- a/third_party/protobuf/3.2.0/protoc-artifacts/pom.xml
+++ /dev/null
@@ -1,135 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<project xmlns="http://maven.apache.org/POM/4.0.0"
- xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
- xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
- <modelVersion>4.0.0</modelVersion>
- <parent>
- <groupId>com.google</groupId>
- <artifactId>google</artifactId>
- <version>1</version>
- </parent>
- <groupId>com.google.protobuf</groupId>
- <artifactId>protoc</artifactId>
- <version>3.2.0</version>
- <packaging>pom</packaging>
- <name>Protobuf Compiler</name>
- <description>
- Protobuf Compiler (protoc) is a compiler for .proto files. It generates
- language-specific code for Protobuf messages and RPC interfaces.
- </description>
- <inceptionYear>2008</inceptionYear>
- <url>https://developers.google.com/protocol-buffers/</url>
- <licenses>
- <license>
- <name>New BSD license</name>
- <url>http://www.opensource.org/licenses/bsd-license.php</url>
- <distribution>repo</distribution>
- </license>
- </licenses>
- <scm>
- <url>https://github.com/google/protobuf</url>
- <connection>
- scm:git:https://github.com/google/protobuf.git
- </connection>
- </scm>
- <build>
- <extensions>
- <extension>
- <groupId>kr.motd.maven</groupId>
- <artifactId>os-maven-plugin</artifactId>
- <version>1.2.3.Final</version>
- </extension>
- </extensions>
- <plugins>
- <plugin>
- <groupId>org.codehaus.mojo</groupId>
- <artifactId>exec-maven-plugin</artifactId>
- <version>1.1.1</version>
- <executions>
- <execution>
- <phase>compile</phase>
- <goals>
- <goal>exec</goal>
- </goals>
- </execution>
- </executions>
- <configuration>
- <executable>bash</executable>
- <arguments>
- <argument>build-protoc.sh</argument>
- <argument>${os.detected.name}</argument>
- <argument>${os.detected.arch}</argument>
- <argument>protoc</argument>
- </arguments>
- </configuration>
- </plugin>
- <plugin>
- <groupId>org.codehaus.mojo</groupId>
- <artifactId>build-helper-maven-plugin</artifactId>
- <version>1.8</version>
- <executions>
- <execution>
- <id>attach-artifacts</id>
- <phase>package</phase>
- <goals>
- <goal>attach-artifact</goal>
- </goals>
- <configuration>
- <artifacts>
- <artifact>
- <file>${basedir}/target/protoc.exe</file>
- <classifier>${os.detected.name}-${os.detected.arch}</classifier>
- <type>exe</type>
- </artifact>
- </artifacts>
- </configuration>
- </execution>
- </executions>
- </plugin>
- </plugins>
- </build>
- <profiles>
- <profile>
- <id>release</id>
- <properties>
- <!-- Specify the staging repository to deploy to. This can be left
- empty for the first deployment, and Sonatype will create one. For
- subsequent deployments it should be set to what Sonatype has
- created, so that all deployments will go to the same repository.
- -->
- <staging.repository></staging.repository>
- </properties>
- <build>
- <plugins>
- <plugin>
- <groupId>org.apache.maven.plugins</groupId>
- <artifactId>maven-gpg-plugin</artifactId>
- <version>1.5</version>
- <executions>
- <execution>
- <id>sign-artifacts</id>
- <phase>verify</phase>
- <goals>
- <goal>sign</goal>
- </goals>
- </execution>
- </executions>
- </plugin>
- <plugin>
- <groupId>org.sonatype.plugins</groupId>
- <artifactId>nexus-staging-maven-plugin</artifactId>
- <version>1.6.3</version>
- <extensions>true</extensions>
- <configuration>
- <serverId>sonatype-nexus-staging</serverId>
- <nexusUrl>https://oss.sonatype.org/</nexusUrl>
- <skipStagingRepositoryClose>true</skipStagingRepositoryClose>
- <autoReleaseAfterClose>false</autoReleaseAfterClose>
- <stagingRepositoryId>${staging.repository}</stagingRepositoryId>
- </configuration>
- </plugin>
- </plugins>
- </build>
- </profile>
- </profiles>
-</project>